diff --git a/LFS/lfs.xsl b/LFS/lfs.xsl
index 3303288..1fbf968 100644
--- a/LFS/lfs.xsl
+++ b/LFS/lfs.xsl
@@ -315,6 +315,12 @@ exit
select="substring-before(string(),'2>&1')"/>
>> $TEST_LOG 2>&1 || true
+
+
+ {
+
+ ; } >> $TEST_LOG 2>&1 || true
+
>> $TEST_LOG 2>&1 || true
@@ -343,11 +349,18 @@ exit
select="substring-before(string(),'2>&1')"/>
>> $TEST_LOG 2>&1 || true
+
(
>> $TEST_LOG 2>&1 && exit $PIPESTATUS)
+
+
+ {
+
+ ; } >> $TEST_LOG 2>&1
+
>> $TEST_LOG 2>&1 || true
diff --git a/common/libs/func_check_version.sh b/common/libs/func_check_version.sh
index fc26ec8..9721434 100644
--- a/common/libs/func_check_version.sh
+++ b/common/libs/func_check_version.sh
@@ -119,6 +119,16 @@ check_prerequisites() { #
exit 1
fi
+ # Check for minimum wget version
+ WGET_LOC="$(whereis -b wget | cut -d" " -f2)"
+ if [ -x $WGET_LOC ]; then
+ wgetVer="$(wget --version | head -n1 | cut -d" " -f3)"
+ check_version "1.0.0" "${wgetVer}" "WGET"
+ else
+ echo "${nl_}\"${RED}wget${OFF}\" ${BOLD}must be installed on your system for jhalfs to run"
+ exit 1
+ fi
+
# Check for minimum libxml2 and libxslt versions
xsltprocVer=$(xsltproc -V | head -n1 )
libxmlVer=$(echo $xsltprocVer | cut -d " " -f3)